> For the complete documentation index, see [llms.txt](https://docs.febucci.com/text-animator-unity/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.febucci.com/text-animator-unity/2.x-ko/undefined-2/undefined/dialogue-system.md).

# 유니티용 Dialogue System

* Unity의 내장 텍스트 대신 TextMeshPro를 사용하세요 ([여기 더 보기](https://www.pixelcrushers.com/dialogue_system/manual2x/html/text_mesh_pro.html)).
* 애니메이션을 적용하려는 텍스트 게임오브젝트에서 Dialogue System의 타자기(typewriter)들을 제거하세요
* 대화 텍스트에 "TextAnimator\_TMP"와 "TypewriterByCharacter"(또는 "TypewriterByWord") 컴포넌트를 추가하세요. 다음에 표시된 것처럼 [통합 플러그인 및 대화 시스템](/text-animator-unity/2.x-ko/undefined-2/undefined.md).

{% hint style="warning" %}
*DialogueSystem의 Typewriter 컴포넌트를 제거하고 TextAnimator의 컴포넌트만 사용해야 충돌이 발생하지 않습니다.*
{% endhint %}

{% hint style="info" %}
PixelCrushers의 추가 설정 가이드와 컴포넌트도 찾을 수 있습니다 [Text Animator와의 통합 페이지](https://www.pixelcrushers.com/dialogue_system/manual2x/html/text_animator.html) 도 마찬가지입니다.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.febucci.com/text-animator-unity/2.x-ko/undefined-2/undefined/dialogue-system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
